Bug 1545742 - Failure to collect measurement data for {RHQStorage}MessagingService in additional storage node
Summary: Failure to collect measurement data for {RHQStorage}MessagingService in addit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Storage Node, Plugin -- Other
Version: JON 3.3.10
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER01
: JON 3.3.11
Assignee: Michael Burman
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-15 14:54 UTC by Filip Brychta
Modified: 2018-10-16 17:07 UTC (History)
3 users (show)

Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 17:06:49 UTC
Type: Bug


Attachments (Terms of Use)
all logs (101.53 KB, application/x-gzip)
2018-02-15 14:54 UTC, Filip Brychta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2930 None None None 2018-10-16 17:07:10 UTC

Description Filip Brychta 2018-02-15 14:54:43 UTC
Created attachment 1396532 [details]
all logs

Description of problem:
After upgrade of JON evn with 2 servers and 2 storage nodes to 3.3.10 there is a warning in agent log visible in additional storage.

Version-Release number of selected component (if applicable):
JON3.3.10

How reproducible:
Alwyas

Steps to Reproduce:
1. prepare postgres db to be able to accept remote connections on host 1
2. unzip jon-server-3.3.0.GA.zip
3. install the server: jon-server-3.3.0.GA/bin/rhqctl install
4. start it and wait until it's fully up
5. install additional jon server and storage node on another host 2
   a) unzip jon-server-3.3.0.GA.zip
   b) edit jon-server-3.3.0.GA/bin/rhq-server.properties to use postgres on host 1
   d) install the server: jon-server-3.3.0.GA/bin/rhqctl install
   e) start it
6. stop all components on both hosts jon-server-3.3.0.GA/bin/rhqctl stop
7. apply the patch on host 1 jon-server-3.3.0.GA-update-10/apply-updates.sh jon-server-3.3.0.GA
8. apply the patch on host 2 jon-server-3.3.0.GA-update-10/apply-updates.sh jon-server-3.3.0.GA
9. start all components on host 1 and wait until it's fully up
10 start all components on host 2 and wait until it's fully up

Actual results:
Following warning in agent.log on host2:
2018-02-15 09:01:31,855 WARN  [MeasurementManager.collector-1] (rhq.core.pc.measurement.MeasurementCollectorRunner)- Failure to collect measurement data for Resource[id=10162, uuid=0e180baf-4dfa-4335-8980-51cccce72dc2, type={RHQStorage}MessagingService, key=org.apache.cassandra.net:type=MessagingService, name=Messaging Service, parent=RHQ Storage Node(fbr-ha2.bc.jonqe.lab.eng.bos.redhat.com)] - cause: java.lang.ClassCastException:java.lang.String cannot be cast to java.net.InetAddress

Expected results:
No warnings in logs

Additional info:
Tried to run Update Plugins on Agents operation and to restart everything but it did not help.

Attaching rhq-server.properties, cassandra.yaml, agent.log, server log.
Note that hostnames were used instead of IPs
Server is bound to 0.0.0.0

Comment 1 Michael Burman 2018-07-17 13:12:28 UTC
Fixed in the master:

commit 1768a029d7eff3b86a568e6483355bb3dcf0881f (HEAD -> master)
Author: Michael Burman <miburman@redhat.com>
Date:   Tue Jul 17 16:11:59 2018 +0300

    [BZ 1545742] If hostname is used as configuration parameter for Cassandra instead of ip address, our configuration lookup will fail since we assumed IP format was used

Comment 4 Sunil Kondkar 2018-09-24 13:05:14 UTC
Used hostnames instead of IPs in rhq-server.properties and cassandra.yaml.
Followed the steps and verified that after applying the patch and starting all components on host 2, there is no warning in agent.log of host2.

Comment 6 errata-xmlrpc 2018-10-16 17:06:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2930


Note You need to log in before you can comment on or make changes to this bug.